EDIT - task #8513

CdmUtils: remove MUST_EXIST_FILE and getResourceFolderSeperator()
09/03/2019 04:08 PM - Andreas Kohlbecker

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Kohlbecker % Done: 100%
Category: cdmlib Estimated time: 0:00 hour
Target version: Release 5.10

Severity: normal

Description

follow up to #8189

The getResourceFolderSeperator() method is not needed at all. The separator character is only used for building file names which
are passed to CdmUtils.getUtf8ResourceReader(). This method is internally using the class loader which knows how to deal with
different environments and thus expects / as separator in the filename.

Related issues:
Related to EDIT - bug #8189: Allow configuration of 'user.nome' via the sprin... Closed

Associated revisions

Revision c3fcadbd - 09/03/2019 04:09 PM - Andreas Kohlbecker
fix #8513 removing MUST-EXIST file and getResourceFolderSeperator() method

Revision ¢195f4fb - 09/05/2019 06:56 PM - Andreas Miiller

fix #8513 adapt some Activators to missing CdmuUtils method

History

#1 - 09/03/2019 04:08 PM - Andreas Kohlbecker

- Related to bug #8189: Allow configuration of 'user.home' via the spring environment added

#2 - 09/03/2019 04:09 PM - Andreas Kohlbecker
- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset cdmlib|c3fca4bd9b4120f48b605f36f5efc59dd8e4bbas.

#3 - 09/03/2019 04:11 PM - Andreas Kohlbecker

if there are no problems in the products a review by another person will not be needed and the ticket can be closed.

#4 - 09/11/2019 12:51 PM - Andreas Kohlbecker
- Status changed from Resolved to Closed

- % Done changed from 50 to 100

everything works as expected
